<template>
    <div class="auth-wrapper">
      <!-- register form -->
        <form class="auth-inner" @submit.prevent="handleSubmit">
            <h3>Sign Up</h3>
            <div class="form-group">
                <label>First Name</label>
                <input type="text" class="form-control" v-model="first_name" placeholder="First Name"/>
            </div>
            <div class="form-group">
                <label>Last Name</label>
                <input type="text" class="form-control" v-model="last_name" placeholder="Last Name"/>
            </div>
            <div class="form-group">
                <label>Email</label>
                <input type="text" class="form-control" v-model="email" placeholder="email@example.com"/>
            </div>
            <div class="form-group">
                <label>Password</label>
                <input type="password" class="form-control" v-model="password" placeholder="Password"/>
            </div>
            <div class="form-group">
                <label>Confirm Password</label>
                <input type="password" class="form-control" v-model="password_confirm" placeholder="Confirm Password"/>
            </div>
            <button class="btn btn-dark btn-block">Sign Up</button>
        </form>
    </div>
</template>

<script>
// Importing axios to make requests to the backend.
import axios from 'axios'
export default {
  name: 'Register',
  data () {
    return {
      baseURL: 'http://localhost:8000/api/',
      first_name: '',
      last_name: '',
      email: '',
      password: '',
      password_confirm: ''
    }
  },
  methods: {
    // register request to the backend
    async handleSubmit () {
      const response = await axios.post(this.baseURL + 'register', {
        first_name: this.first_name,
        last_name: this.last_name,
        email: this.email,
        password: this.password,
        password_confirm: this.password_confirm
      })
      console.log(response)
      this.$router.push('/')
    }
  }
}
</script>
